Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcInetClientWin Class Reference

XFcInetClientWin is inet client and its responsipilty is handle data flow to inet client. More...

Inheritance diagram for XFcInetClientWin:

[legend]
Collaboration diagram for XFcInetClientWin:

[legend]
List of all members.

## Public Member Functions
XFCIMPORT void | setPriority (INT aPriority)
| Sets priority for this client.
XFCIMPORT INT | getPriority ()
| Gets priority.
XFCIMPORT INT | isClientActive ()
| Gets client activity status.
XFCIMPORT INT | getRecvErrorValue ()
| Returns recv error .
XFCIMPORT INT | getSendErrorValue ()
| Return send error .
virtual XFCIMPORT void | setAddress (const XFcAddress &aAddress)
| Adds address.
virtual XFCIMPORT INT | testAddress (const XFcAddress &aAddress)
| Address check.
virtual XFCIMPORT INT | bandwidthCheck ()
| Clients bandwidth check.
XFCIMPORT void | clientProtocolManager ()
| Clients protocol settings management.
XFCIMPORT INT | changePacketCreator (INT aPacketCreator)
| Changes packet creator.
virtual XFCIMPORT INT32 | outgoing (XFcObjectPacketBase &aPacket)
| Creates protocol packet.
virtual XFCIMPORT INT32 | incoming (XFcObjectPacketBase &aPacket)
| Uncreates incoming packet.
virtual XFCIMPORT XFcObjectDataFrame * | getPacketFrame (INT aSlot)
| Gets packet frame.
virtual XFCIMPORT XFcObjectDataFrame * | getRecentStateFrame (INT32 aRecentId)
| Gets recent state frame.
virtual XFCIMPORT void | removeRecentStateFrame (INT32 aRecentId)
| Removes recent state frame.
virtual XFCIMPORT | ~XFcInetClientWin ()
| Virtual destructor.
## Static Public Member Functions
XFCIMPORT XFcInetClientWin * | create (const CHAR8 *aAddress, UINT16 aPort, INT32 aGranularity=XFCNET_PACKETQUEUE_DEFAULT_SIZE, INT32 aPacketMaxSize=1024)
| Static constructor.
XFCIMPORT XFcInetClientWin * | create (INT32 aGranularity=XFCNET_PACKETQUEUE_DEFAULT_SIZE, INT32 aPacketMaxSize=1024)
| Static constructor.
## Protected Member Functions
XFCIMPORT INT | init (const CHAR8 *aAddress, UINT16 aPort, INT32 aGranularity, INT32 aPacketMaxSize)
| Initializes class.
XFCIMPORT INT | init (INT32 aGranularity, INT32 aPacketMaxSize)
| Initializes class.
XFCIMPORT INT | countLocalWindow ()
| Counts local window size.
XFCIMPORT INT | countHostWindow ()
| Counts host window size.
XFCIMPORT void | countNextPacketTime (INT aPacketSize)
| Counts next packet time.
XFCIMPORT | XFcInetClientWin ()
| Protected constructor.
## Private Attributes
INT | mConnectionStatus
| Holds connection status .
INT | mPriority
| Holds client priority.
INT32 | mNextPacketTime
| Holds time when client is able to get new data.
XFcInetClientWin::LocalWindow | mLocalWindow
| Local communication data for client.
XFcInetClientWin::HostWindow | mHostWindow
| Host communication data "server".
XFcObjectDataQueue * | mPriorityQueue
| Holds object data priority queue.
XFcPacketCreator * | mPacketCreator
| Holds current packet creator.
XFcInetHostResolver * | mResolver
| Holds inet address resolver.

## Detailed Description

XFcInetClientWin is inet client and its responsipilty is handle data flow to inet client.

Its sends or receives data from client that is bind for this client window class. It handles data flow and try to avoid to choke this client with data.

## Constructor & Destructor Documentation

XFCIMPORT XFcInetClientWin::XFcInetClientWin | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcInetClientWin::~XFcInetClientWin | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual XFCIMPORT INT XFcInetClientWin::bandwidthCheck | ( |  | ) | `[virtual]`

| Clients bandwidth check. Returns: 1 if successful, or 0 otherwise. Implements XFcClientCommWin.

XFCIMPORT INT XFcInetClientWin::changePacketCreator | ( | INT | aPacketCreator | ) |

  | Changes packet creator. Parameters:
  aPacketCreator | packet creator enumeration.

XFCIMPORT void XFcInetClientWin::clientProtocolManager | ( |  | ) |

| Clients protocol settings management.

XFCIMPORT INT XFcInetClientWin::countHostWindow | ( |  | ) | `[protected]`

| Counts host window size.

XFCIMPORT INT XFcInetClientWin::countLocalWindow | ( |  | ) | `[protected]`

| Counts local window size.

XFCIMPORT void XFcInetClientWin::countNextPacketTime | ( | INT | aPacketSize | ) | `[protected]`

| Counts next packet time.

XFCIMPORT XFcInetClientWin* XFcInetClientWin::create | ( | INT32 | aGranularity = XFCNET_PACKETQUEUE_DEFAULT_SIZE,
|  | INT32 | aPacketMaxSize = 1024
| ) | `[static]`

| Static constructor. Returns: pointer to XFcInetClientWin

XFCIMPORT XFcInetClientWin* XFcInetClientWin::create | ( | const CHAR8 * | aAddress,
|  | UINT16 | aPort,
|  | INT32 | aGranularity = XFCNET_PACKETQUEUE_DEFAULT_SIZE,
|  | INT32 | aPacketMaxSize = 1024
| ) | `[static]`

  | Static constructor. Parameters:
  aAddress | client address, address can be given with syntax "127.0.0.1" or "www.fathammer.com". If address is syntax is "127.0.0.1" reverse arp is not used and address is accepted as is.
  aPort | client port.
  aGranularity | packet queue size.
  aPacketMaxSize | maximum size for packet.
Returns: new object if successful, or NULL if unsuccessful.

virtual XFCIMPORT XFcObjectDataFrame* XFcInetClientWin::getPacketFrame | ( | INT | aSlot | ) | `[virtual]`

  | Gets packet frame. Parameters:
  aSlot | message identifier.
Returns: packet frame class Implements XFcClientCommWin.

XFCIMPORT INT XFcInetClientWin::getPriority | ( |  | ) |

| Gets priority.

virtual XFCIMPORT XFcObjectDataFrame* XFcInetClientWin::getRecentStateFrame | ( | INT32 | aRecentId | ) | `[virtual]`

  | Gets recent state frame. Parameters:
  aRecentId | recent state id.
Returns: recent state frame. Implements XFcClientCommWin.

XFCIMPORT INT XFcInetClientWin::getRecvErrorValue | ( |  | ) |

| Returns recv error .

XFCIMPORT INT XFcInetClientWin::getSendErrorValue | ( |  | ) |

| Return send error .

virtual XFCIMPORT INT32 XFcInetClientWin::incoming | ( | XFcObjectPacketBase & | aPacket | ) | `[virtual]`

  | Uncreates incoming packet. Parameters:
  aPacket | packet buffer.
Returns: handled packet size. Implements XFcClientCommWin.

XFCIMPORT INT XFcInetClientWin::init | ( | INT32 | aGranularity,
|  | INT32 | aPacketMaxSize
| ) | `[protected]`

| Initializes class.

XFCIMPORT INT XFcInetClientWin::init | ( | const CHAR8 * | aAddress,
|  | UINT16 | aPort,
|  | INT32 | aGranularity,
|  | INT32 | aPacketMaxSize
| ) | `[protected]`

| Initializes class.

XFCIMPORT INT XFcInetClientWin::isClientActive | ( |  | ) | `[virtual]`

| Gets client activity status. Implements XFcClientCommWin.

virtual XFCIMPORT INT32 XFcInetClientWin::outgoing | ( | XFcObjectPacketBase & | aPacket | ) | `[virtual]`

  | Creates protocol packet. Parameters:
  aPacket | packet buffer.
Returns: outgoing packet size. On error return value is -1 and error reason is set. Implements XFcClientCommWin.

virtual XFCIMPORT void XFcInetClientWin::removeRecentStateFrame | ( | INT32 | aRecentId | ) | `[virtual]`

  | Removes recent state frame. Parameters:
  aRecentId | recent state id.
Implements XFcClientCommWin.

virtual XFCIMPORT void XFcInetClientWin::setAddress | ( | const XFcAddress & | aAddress | ) | `[virtual]`

  | Adds address. Parameters:
  add | client address.
Implements XFcClientCommWin.

XFCIMPORT void XFcInetClientWin::setPriority | ( | INT | aPriority | ) |

| Sets priority for this client.

virtual XFCIMPORT INT XFcInetClientWin::testAddress | ( | const XFcAddress & | aAddress | ) | `[virtual]`

  | Address check. Parameters:
  address | where to compare.
Implements XFcClientCommWin.

## Member Data Documentation

INT XFcInetClientWin::mConnectionStatus`[private]`

| Holds connection status .

struct XFcInetClientWin::HostWindow XFcInetClientWin::mHostWindow`[private]`

| Host communication data "server".

struct XFcInetClientWin::LocalWindow XFcInetClientWin::mLocalWindow`[private]`

| Local communication data for client.

INT32 XFcInetClientWin::mNextPacketTime`[private]`

| Holds time when client is able to get new data.

XFcPacketCreator* XFcInetClientWin::mPacketCreator`[private]`

| Holds current packet creator.

INT XFcInetClientWin::mPriority`[private]`

| Holds client priority.

XFcObjectDataQueue* XFcInetClientWin::mPriorityQueue`[private]`

| Holds object data priority queue.

XFcInetHostResolver* XFcInetClientWin::mResolver`[private]`

| Holds inet address resolver.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch